/*--------------------------------------------------*

Name: layout.css
Version: 1.7
Last Update: 2011-10-07
Author: Énhonlapom.hu

Chapters:	RESET
					LAYOUT
						HEADER SECTION
						MAIN CONTENT SECTION
						ASIDE SECTION
						FOOTER SECTION
						NAVIGATION SECTION
							HORIZONTAL NAVIGATION
							VERTICAL NAVIGATION
							PRODUCT NAVIGATION
							PAGINATION
						GRID SYSTEM
					GLOBAL LAYOUT CLASSES

*--------------------------------------------------*/

/*-------------------- $RESET --------------------*/

html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre, a,
abbr, address, cite, code,
del, dfn, em, img, ins, kbd, q, samp,
small, strong, var, b, i,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	outline: 0;
	font-size: 100%;
	vertical-align: baseline;
	background: transparent;
}
article,aside,details,figcaption,figure,
footer,header,hgroup,menu,nav,section { 
	display: block;
}
body {
	line-height: 1;
}
abbr[title], dfn[title] {
	border-bottom: 1px dotted;
	cursor: pointer;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}
input, select {
	vertical-align: middle;
	outline: 0;
}

/*-------------------- $LAYOUT --------------------*/

html {
	min-height: 100%;
	}
body {
	width: 990px;
	min-height: 100%;
	margin: 0 auto;
}

/*---------- $HEADER SECTION ----------*/

#main-header {
	width: 100%;
	height: 475px;
}
#inner-header {
	width: 100%;
	height: 475px;
}

#title {
	height: 105px;
	margin: 20px 0 0 20px;
	float: left;
}
#logo {
	float: left;
}
#title hgroup {
	padding: 20px 0 0 20px;
	float: left;
}

#lang-nav {
	float: right;
	margin: 10px 0;
}
	#lang-nav ul {
		padding: 0 20px;
	}
	#lang-nav li {
		float: left;
		margin-left: 10px;
		list-style: none;
	}

#main-nav {
	width: 100%;
	height: 50px;
	clear: both;
}

#carousel {
	clear: both;
	width: 970px;
	height: 280px;
	padding: 10px;
}

/*---------- $MAIN CONTENT SECTION ----------*/

#content {
	width: 100%;
	min-height: 800px;
}

#main-content {
	/* Main content - The site.js setup the value of the width */
	margin: 0;
	padding: 10px;
	float: left;
}

/*---------- $ASIDE SECTION ----------*/

#leftside {
	float: left;
	width: 220px;
	margin: 0;
	padding: 10px 0 10px 10px;
}

#rightside {
	float: right;
	width: 220px;
	margin: 0;
	padding: 10px 10px 10px 0;
}
.aside section, .aside div {
	width: 198px;
	margin: 0px 0 10px 0px;
	padding: 10px;
}
.aside nav {
	margin: 0 0 10px 0;
}
.aside h3 {
	width: 200px;
	margin: -10px 0 10px -11px;
}

/*---------- $FOOTER SECTION ----------*/

#main-footer {
	width: 100%;
	height: 70px;
}
#inner-footer {
	height: 70px;
	position: relative;
}

#footer-nav ul {
	margin: 0;
	padding-top: 10px;
	text-align: center;
}
	#footer-nav li {
		display: inline;
		list-style: none;
	}
	#footer-nav a {
		display: inline-block;
		padding: 0 10px;
	}

#copyright {
	width: 950px;
	height: 50px;
	padding: 0 20px;
	position: absolute;
	left: 0;
	bottom: 0;
	line-height: 50px;
}

/*---------- $NAVIGATION SECTION ----------*/

/* $HORIZONTAL NAVIGATION */

/* Level1 */
		
.h-nav-level1 {
	margin: 0;
	padding: 0;
	text-align: center; /* Navigation position - Value: left, center, right */
}
.h-nav-level1 li {
	margin-left: -5px;
	padding: 0;
	display: inline;
	position: relative;
	list-style: none;
}
.h-nav-level1 li:first-child {
	margin-left: 0;
}
.h-nav-level1 li a {
	width: 165px; /* Fix navigation elements */
	padding: 18px 0 17px; /* Space between navigation elements */
	display: inline-block;
	position: relative;
}
.h-nav-level1 li a:before {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	content: "";
}
		
/* Level2 */
		
.h-nav-level2, .h-nav-level3 {
	width: 200px;
	margin: 0;
	padding: 0;
	display: none;
	position: absolute;
	top: 30px; /* Font height + padding-bottom + 1 */
	left: 0;
	z-index: 10;
	text-align: left; /* Navigation level 2 text position */
}
.h-nav-level2 li {
	margin-left: 0;
	padding: 0;
	display: block;
}
.h-nav-level2 li a {
	width: 180px;
	padding: 5px 10px;
	display: block;
}
		
/* Level3 */

.h-nav-level3 {
	top: 0;
	left: 200px;
}

/* $VERTICAL NAVIGATION */

/* Level1 */
		
.v-nav-level1 {
	width: 218px;
	margin: 0;
	padding: 0;
	text-align: left; /* Navigation position - Value: left, center, right */
}
.v-nav-level1 li {
	padding: 0;
	display: block;
	position: relative;
}
.v-nav-level1 li a {
	padding: 10px; /* Space between navigation elements */
	display: block;
	position: relative;
}
.v-nav-level1 li a:before {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	content: "";
}

/* Level2 & Level3 */

.v-nav-level2, .v-nav-level3 {
	width: 198px;
	padding: 0;
	position: absolute;
	top: 0;
	left: 218px;
	display: none;
	text-align: left;
	z-index: 10;
}
.v-nav-level3 {
	margin-left: -20px;
	top:-1px;
}
	
/* Right navigation */

.v-nav-right {
	left: -220px;
}

/* $PRODUCT NAVIGATION */

#product-nav, #product-nav li ul {
	display: block;
	margin: 0;
	padding: 0;
	list-style: none;
}
#product-nav li {
	margin-top: 1px;
}
#product-nav li a {
	display: block;
	padding: 5px 10px;
}
#product-nav li ul li a {
	display: block;
}

/* $PAGINATION */

.pagination {
	clear: both;
}

/*---------- $GRID SYSTEM ----------*/

.no-column {
	margin-bottom: 20px;
}
.col	{
	float: left;
	margin: 0 0 20px;
	padding: 0 10px;
}
.col-left {
	margin-left: 0;
	padding-left: 0;
}
.col-right {
	margin-right: 0;
	padding-right: 0;
}
.col2	{  } /* 2 column size - The site.js setup the value of the width */
.col3	{  } /* 3 column size - The site.js setup the value of the width */

/*-------------------- $GLOBAL LAYOUT CLASSES --------------------*/

.block {
	display: block;
}
.clearfix {
	display: block;
}
.clearfix:after {
  height: 0;
	display: block;
	content: "";
  clear: both;
  visibility: hidden;
  overflow: hidden;
}
.clear {
	clear: both;
}
.alignleft	{
	float: left;
}
.alignright {
	float: right;
}
.aligncenter {
	display: block;
	margin-left: auto;
	margin-right: auto;
}
#rightside .pagetext {
	position: relative;
	top: -11px;
	left: -11px;
	margin-bottom: -22px;
}
#leftside .pagetext p {
	margin: -10px 0 -13px -10px;
}	